### Function

# Shell PerfReplayFunction

since: 14

#### Declaration

    void
    (* ShellPerfReplayFunction) (
      gint64 time,
      const char* name,
      const char* signature,
      GValue* arg,
      gpointer user_data
    )

#### Description

No description available.

Available since: 14

#### Parameters

`time`

  Type: `gint64`

  No description available.

`name`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`signature`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg`

  Type: `GValue`

  No description available.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.